#!/usr/bin/env sh
PROJECT="Ruby/ZOOM"
SOURCES="../src"
XSL="/home/lrz/src/tools/extdoc/share/xsl/xhtml/chunk.xsl"
CSS="/home/lrz/src/tools/extdoc/share/css/docbook.css"

mkdir -p ascii rd xhtml

# Produce Text/ASCII documentation.
extdoc -v -t text -o ascii/api.txt -r zoom $PROJECT $SOURCES

# Produce RD documentation.
extdoc -v -t rd -o rd/api.rd -r zoom $PROJECT $SOURCES
hiki-split rd/api.rd rd
mv rd/TOC rd/Ruby%2FLibburn

# Produce XHTML documentation.
extdoc -v -t docbook -o xhtml/api.xml -r zoom $PROJECT $SOURCES
xsltproc -o ./xhtml/ $XSL xhtml/api.xml
cp $CSS xhtml

# Upload XHTML documentation.
scp -r xhtml lrz@rubyforge.org:/var/www/gforge-projects/ruby-zoom
